Bug 1415709 - DNF-makecache.timer still runs on rpm-ostree setup
Summary: DNF-makecache.timer still runs on rpm-ostree setup
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm-ostree
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 13:46 UTC by Patrick Uiterwijk
Modified: 2017-03-06 19:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-06 19:46:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Patrick Uiterwijk 2017-01-23 13:46:42 UTC
I have a system based on rpm-ostree (Atomic Host), so unless I specifically unlock it, I can't run dnf anyway.
That means there's no need for dnf-makecache to actually do anything.

It should detect I'm running rpm-ostree and just not refresh at all.

Comment 1 Neal Gompa 2017-01-23 14:04:31 UTC
Why not add to your rpm-ostree compose a preset that disables dnf-automatic and dnf-makecache?

Comment 2 Igor Gnatenko 2017-01-23 14:19:19 UTC
yeah, I think it should be done during build of rpm-ostree to set correct preset.

Comment 3 Honza Silhan 2017-01-30 12:09:27 UTC
Reassigning...

Comment 5 Jonathan Lebon 2017-02-01 14:12:22 UTC
(In reply to Patrick Uiterwijk from comment #0)
> I have a system based on rpm-ostree (Atomic Host), so unless I specifically
> unlock it, I can't run dnf anyway.
> That means there's no need for dnf-makecache to actually do anything.
> 
> It should detect I'm running rpm-ostree and just not refresh at all.

That makes sense, though is there a reason to even have dnf at all? Is it for repo queries and such?

Comment 6 Fedora End Of Life 2017-02-28 11:02:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.